export declare function isAbsoluteURL(url: string): boolean;
export declare function combineURLs(baseURL: string, relativeURL?: string): string;
export declare function buildFullPath(baseURL: string, requestedURL: string): string;
type DeepCopy<T> = T extends object ? T extends Array<infer Item> ? DeepCopy<Item>[] : {
    [K in keyof T]: T[K] extends object ? DeepCopy<T[K]> : T[K];
} : T;
export declare function deepCopy<T>(obj: T): DeepCopy<T>;
export declare function getType(obj: any): string;
export declare function isWxAppEnv(): boolean;
export {};
